# GamepadUnit  {#GamepadUnit}

This component is used to control the robot with a gamepad.

You have to set two device names:
 - `GamepadDeviceName`
   - Used to read the input from the device.
    You can find the proper name by checking various names from `/dev/input/js*` with the command line util `jstest`.
 - `GamepadForceFeedbackName`
   - Used to give force feedback on the controller.
    You can find the proper name by checking various names from `/dev/input/event*` with the command line util `fftest` or `evtest`.

Alternatively you can find the proper name through `/dev/input/by-id`.

E.g. for a Logitech F710 gamepad the proper names are: \
`GamepadDeviceName=/dev/input/by-id/usb-Logitech_Wireless_Gamepad_F710_582F9A6B-joystick` \
`GamepadForceFeedbackName=/dev/input/by-id/usb-Logitech_Wireless_Gamepad_F710_582F9A6B-event-joystick`
