#pragma once

#include <RobotAPI/statecharts/ObjectMemoryGroup/RequestObjects.generated.h>

namespace armarx::ObjectMemoryGroup
{
    class RequestObjects : public RequestObjectsGeneratedBase<RequestObjects>
    {
    public:
        RequestObjects(const XMLStateConstructorParams& stateData);

        // inherited from StateBase
        void onEnter() override;
        void run() override;
        // void onBreak() override;
        void onExit() override;

        // static functions for AbstractFactory Method
        static XMLStateFactoryBasePtr CreateInstance(XMLStateConstructorParams stateData);
        static SubClassRegistry Registry;

        // DO NOT INSERT ANY CLASS MEMBERS,
        // use stateparameters instead,
        // if classmember are neccessary nonetheless, reset them in onEnter
    };
} // namespace armarx::ObjectMemoryGroup
