#pragma once

#include <VirtualRobot/Visualization/CoinVisualization/CoinVisualizationFactory.h>
#include <VirtualRobot/Visualization/CoinVisualization/CoinVisualizationNode.h>

#include <RobotAPI/interface/ArViz/Elements.h>

#include "ElementVisualizer.h"
#include <Inventor/nodes/SoUnits.h>

namespace armarx::viz::coin
{
    struct VisualizationCylindroid : TypedElementVisualization<SoSeparator>
    {
        using ElementType = data::ElementCylindroid;

        bool update(ElementType const& element);
    };
} // namespace armarx::viz::coin
