#pragma once

#include <RobotAPI/interface/ArViz/Elements.h>

#include "ElementVisualizer.h"

class SoComplexity;
class SoScale;
class SoSphere;

namespace armarx::viz::coin
{
    struct VisualizationEllipsoid : TypedElementVisualization<SoSeparator>
    {
        using ElementType = data::ElementEllipsoid;

        VisualizationEllipsoid();

        bool update(ElementType const& element);

        SoMaterial* material = nullptr;
        SoComplexity* complexity = nullptr;
        SoScale* scale = nullptr;
        SoSphere* sphere = nullptr;
    };
} // namespace armarx::viz::coin
