#include "ColorPalettes.h"

namespace armarx::gui_color_palette
{
    QPalette
    getErrorPalette()
    {
        QPalette errorPalette;
        errorPalette.setColor(QPalette::Base, Qt::red);
        return errorPalette;
    }

    QPalette
    getNormalPalette()
    {

        QPalette normalPalette;

        normalPalette.setColor(QPalette::Base, Qt::white);
        return normalPalette;
    }

    QPalette
    getIndirectErrorPalette()
    {
        QPalette indirectErr;
        static QColor orange = QColor::fromRgb(255, 165, 0);
        // orange color
        indirectErr.setColor(QPalette::Base, orange);
        return indirectErr;
    }

} // namespace armarx::gui_color_palette
