#include "PluginUser.h"

#include <RobotAPI/libraries/armem/client/MemoryNameSystem.h>

#include "Plugin.h"

namespace armarx::armem::client::plugins
{

    PluginUser::PluginUser()
    {
        addPlugin(plugin);
    }

    PluginUser::~PluginUser()
    {
    }

    MemoryNameSystem&
    PluginUser::memoryNameSystem()
    {
        return plugin->getMemoryNameSystemClient();
    }

    const MemoryNameSystem&
    PluginUser::memoryNameSystem() const
    {
        return plugin->getMemoryNameSystemClient();
    }

} // namespace armarx::armem::client::plugins
