#pragma once


#include <RobotAPI/libraries/skills/core/ProviderID.h>
#include <RobotAPI/libraries/skills/core/SkillDescription.h>

namespace armarx
{
    namespace skills
    {
        class ProviderInfo
        {
        public:
            ProviderID providerId;
            provider::dti::SkillProviderInterfacePrx providerInterface;
            std::map<SkillID, SkillDescription> providedSkills;

            skills::manager::dto::ProviderInfo toIce() const;

            static ProviderInfo FromIce(const manager::dto::ProviderInfo&);
        };
    } // namespace skills
} // namespace armarx
